/*----------------------------------------------------------------------------------
*
* COPYRIGHT (c) 2001 by Singing Electrons, Inc. All rights reserved.
*
*
* Module Name			: C:\se\adi\audioclass\vdsp\dmablocks.h
*
* Description			: Prototypes for dmablocks module
*
*
* Revision History	: At bottom of the file.
*
*---------------------------------------------------------------------------------*/

#define DMA_BUFFER_SIZE 2048
#define DMA_BLOCK_GRANULARITY 16 
#define DMA_MAX_BUFFER_ALLOCATIONS (DMA_BUFFER_SIZE / DMA_BLOCK_GRANULARITY)

extern UCHAR gDMABuffer[DMA_BUFFER_SIZE];


/** public functions **/

void *AllocDMABlock (int numBytesToAllocate);
void FreeDMABlock (void *blockToDealloc);
void InitDMA (void);





/*----------------------------------------------------------------------------------
* $Log: dmablocks.h,v $
* Revision 1.1  2003/03/03 18:13:45  Devendra
* First Rev, the device enumerates as Mass Storage Class
*
* Revision 1.1  2003/01/09 21:46:15  Devendra
* Added a better DMA block heap manager (dmablocks) so that it can be used with isoch. streaming.
*
*
*---------------------------------------------------------------------------------*/
